Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AFPDitheredRectanglePainter

    java.lang.Object
      org.apache.fop.afp.AbstractAFPPainter
          org.apache.fop.afp.AFPDitheredRectanglePainter

    public class AFPDitheredRectanglePainter

extends AbstractAFPPainter

A painter of rectangles in AFP

Field Summary

Fields inherited from class org.apache.fop.afp.AbstractAFPPainter
`dataStream, log, paintingState`

Constructor Summary
`AFPDitheredRectanglePainter(AFPPaintingState paintingState, DataStream dataStream, AFPResourceManager resourceManager)` Main constructor

Method Summary
`void` | `paint(PaintingInfo paintInfo)` Paints the painting item

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPDitheredRectanglePainter

    public AFPDitheredRectanglePainter(AFPPaintingState paintingState,
                                       DataStream dataStream,
                                       AFPResourceManager resourceManager)

  Main constructor

  Parameters:
    `paintingState` - the AFP painting state
    `dataStream` - the AFP datastream
    `resourceManager` - the resource manager

Method Detail

### paint

    public void paint(PaintingInfo paintInfo)
               throws java.io.IOException

  Paints the painting item

  Specified by:
    `paint` in class `AbstractAFPPainter`
  Parameters:
    `paintInfo` - the painting information
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.